cURL
curl --request GET \ --url https://api.contiguity.com/domains/{domain} \ --header 'Authorization: Bearer <token>'
{ "id": "req_xxxxxxxxxxxxxxxx", "timestamp": 1770363397691, "api_version": "v2026.2.6", "object": "response", "data": { "domain": "example.com", "id": "dmn_1234567890abcdef", "status": "verified", "region": "us-east-1", "created_at": 1755637604526, "sending_allowed": true, "records": [ { "type": "MX", "name": "@", "value": "inbound-smtp.us-east-1.amazonaws.com", "purpose": "Inbound Email" } ], "verifications": { "dkim": "verified", "mail_from": "pending_verification", "domain": "verified" } } }
Get details about a domain
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Bearer <token>
<token>
The domain to get info for
"example.com"
Get specific domain info
"req_xxxxxxxxxxxxxxxx"
1770363397691
"v2026.2.6"
"response"
Show child attributes
Was this page helpful?